## gr-iqbal 0.37.1.4.a1bca1f9

=== CMakeLists.txt ===
# Copyright 2011,2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.


########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 2.6)
project(gr-iqbalance CXX C)
enable_testing()

#select the release build type by default to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release")
   message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules)

########################################################################
# Compiler specific setup
########################################################################
if(CMAKE_COMPILER_IS_GNUCXX AND NOT WIN32)
    #http://gcc.gnu.org/wiki/Visibility
    add_definitions(-fvisibility=hidden)
endif()

########################################################################
# Find boost
########################################################################
if(UNIX AND EXISTS "/usr/lib64")
    list(APPEND BOOST_LIBRARYDIR "/usr/lib64") #fedora 64-bit fix
endif(UNIX AND EXISTS "/usr/lib64")
set(Boost_ADDITIONAL_VERSIONS
    "1.35.0" "1.35" "1.36.0" "1.36" "1.37.0" "1.37" "1.38.0" "1.38" "1.39.0" "1.39"
    "1.40.0" "1.40" "1.41.0" "1.41" "1.42.0" "1.42" "1.43.0" "1.43" "1.44.0" "1.44"
    "1.45.0" "1.45" "1.46.0" "1.46" "1.47.0" "1.47" "1.48.0" "1.48" "1.49.0" "1.49"
    "1.50.0" "1.50" "1.51.0" "1.51" "1.52.0" "1.52" "1.53.0" "1.53" "1.54.0" "1.54"
    "1.55.0" "1.55" "1.56.0" "1.56" "1.57.0" "1.57" "1.58.0" "1.58" "1.59.0" "1.59"
    "1.60.0" "1.60" "1.61.0" "1.61" "1.62.0" "1.62" "1.63.0" "1.63" "1.64.0" "1.64"
    "1.65.0" "1.65" "1.66.0" "1.66" "1.67.0" "1.67" "1.68.0" "1.68" "1.69.0" "1.69"
)
find_package(Boost "1.35" COMPONENTS system)

if(NOT Boost_FOUND)
    message(FATAL_ERROR "Boost required to compile iqbalance")
endif()

########################################################################
# Find FFTW3
########################################################################
find_package(FFTW3f)

if(NOT FFTW3F_FOUND)
    message(FATAL_ERROR "FFTW3 required to compile iqbalance")
endif()

########################################################################
# Find libosmo-dsp
########################################################################
find_package(LibOsmoDSP)

if(LIBOSMODSP_FOUND)
    set(LIBOSMODSP_SOURCES "")
endif()

if(NOT LIBOSMODSP_FOUND)
    message(STATUS "libosmodsp not found, using local checkout")
    set(LIBOSMODSP_INCLUDE_DIRS "libosmo-dsp/include/")
    set(LIBOSMODSP_LIBRARIES ${FFTW3F_LIBRARIES})
    set(LIBOSMODSP_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/libosmo-dsp/src/cxvec.c ${CMAKE_CURRENT_SOURCE_DIR}/libosmo-dsp/src/iqbal.c)
endif()

########################################################################
# Install directories
########################################################################
include(GrPlatform) #define LIB_SUFFIX
set(GR_RUNTIME_DIR      bin)
set(GR_LIBRARY_DIR      lib${LIB_SUFFIX})
set(GR_INCLUDE_DIR      include)
set(GR_DATA_DIR         share)
set(GR_PKG_DATA_DIR     ${GR_DATA_DIR}/${CMAKE_PROJECT_NAME})
set(GR_DOC_DIR          ${GR_DATA_DIR}/doc)
set(GR_PKG_DOC_DIR      ${GR_DOC_DIR}/${CMAKE_PROJECT_NAME})
set(GR_CONF_DIR         etc)
set(GR_PKG_CONF_DIR     ${GR_CONF_DIR}/${CMAKE_PROJECT_NAME}/conf.d)
set(GR_LIBEXEC_DIR      libexec)
set(GR_PKG_LIBEXEC_DIR  ${GR_LIBEXEC_DIR}/${CMAKE_PROJECT_NAME})
set(GRC_BLOCKS_DIR      ${GR_PKG_DATA_DIR}/grc/blocks)

########################################################################
# Find gnuradio build dependencies
########################################################################
set(GR_REQUIRED_COMPONENTS RUNTIME)
find_package(Gnuradio "3.7.0")
if(NOT GNURADIO_RUNTIME_FOUND)
    message(FATAL_ERROR "GnuRadio Runtime required to compile iqbalance")
endif()

find_package(Doxygen)

########################################################################
# Setup the include and linker paths
########################################################################
include_directories(
    ${CMAKE_SOURCE_DIR}/include
    ${Boost_INCLUDE_DIRS}
    ${FFTW3F_INCLUDE_DIRS}
    ${LIBOSMODSP_INCLUDE_DIRS}
    ${GNURADIO_RUNTIME_INCLUDE_DIRS}
)

link_directories(
    ${Boost_LIBRARY_DIRS}
    ${FFTW3F_LIBRARY_DIRS}
    ${LIBOSMODSP_LIBRARY_DIRS}
    ${GNURADIO_RUNTIME_LIBRARY_DIRS}
)

# Set component parameters
set(GR_IQBALANCE_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/include CACHE INTERNAL "" FORCE)
set(GR_IQBALANCE_SWIG_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/swig CACHE INTERNAL "" FORCE)

########################################################################
# Create uninstall target
########################################################################
configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(include/gnuradio/iqbalance)
add_subdirectory(lib)
add_subdirectory(swig)
add_subdirectory(python)
add_subdirectory(grc)
add_subdirectory(apps)
add_subdirectory(docs)

########################################################################
# Create Pkg Config File
########################################################################
file(TO_NATIVE_PATH "${CMAKE_INSTALL_PREFIX}"           prefix)
file(TO_NATIVE_PATH "\${prefix}"                        exec_prefix)
file(TO_NATIVE_PATH "\${exec_prefix}/${GR_LIBRARY_DIR}" libdir)
file(TO_NATIVE_PATH "\${prefix}/${GR_INCLUDE_DIR}"      includedir)

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/gnuradio-iqbalance.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-iqbalance.pc
@ONLY)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-iqbalance.pc
    DESTINATION ${GR_LIBRARY_DIR}/pkgconfig
)

=== debian/changelog ===
gr-iqbal (0.37.1.4.a1bca1f9-1) unstable; urgency=low

  * New upstream snapshot (Closes: #725843).
  * Match GNU Radio live distribution version

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 28 Sep 2013 22:55:08 -0400

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)

override_dh_install:
	rm -f debian/tmp/usr/lib/python2.7/dist-packages/gnuradio/iqbalance/*.pyc
	rm -f debian/tmp/usr/lib/python2.7/dist-packages/gnuradio/iqbalance/*.pyo
	dh_install

## gr-iqbal 0.37.1.5.d4fd4d

=== include/gnuradio/iqbalance/CMakeLists.txt ===
# Copyright 2011,2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Install public header files
########################################################################
install(FILES
    api.h
    fix_cc.h
    optimize_c.h
    DESTINATION include/gnuradio/iqbalance
)

=== debian/changelog ===
gr-iqbal (0.37.1.5.d4fd4d-2build1) utopic; urgency=medium

  * Rebuild against gnuradio 3.7.3.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 02 May 2014 10:35:16 +0100

gr-iqbal (0.37.1.5.d4fd4d-2) unstable; urgency=low

  * reduce boost dependencies to system and test components
  * add doxygen and python dependencies

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 18 Apr 2014 19:15:33 -0400

gr-iqbal (0.37.1.5.d4fd4d-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 01 Feb 2014 21:28:26 -0500

gr-iqbal (0.37.1.5.d4fd4d-1) unstable; urgency=low

  * latest upstream commit, use with gnuradio 3.7.2.1
    uses libosmo-dsp commit 59e29c

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 29 Dec 2013 10:56:16 -0500

=== debian/control ===
Source: gr-iqbal
Section: libs
Priority: extra
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: debhelper (>= 9), cmake, pkg-config, gnuradio-dev (>>3.7), libboost-dev,
 libboost-system-dev, libboost-test-dev, libfftw3-dev, liblog4cpp5-dev, swig,
 python-dev, python-numpy, doxygen
Standards-Version: 3.9.5
Homepage: http://cgit.osmocom.org/cgit/gr-iqbal/
Vcs-Git: git://git.osmocom.org/gr-iqbal.git

Package: gr-iqbal
Section: libdevel
Architecture: any
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libgnuradio-iqbalance0 (=${binary:Version})
Description: GNU Radio Blind IQ imbalance estimator and correction
 The general idea is to suppress symmetrical images caused by IQ
 imbalance in the RX path of quadrature receivers.
 It's composed of two subblocks:
 .
 "IQ Bal Fix": This applies the actual correction. to a complex
 stream. The correction parameters are only magnitude/phase and the
 actual correction algo is the same as applied in hardware in the USRP.
 You can either specify the correction parameters manually on the
 block, or send them via 'messages'.
 .
 "IQ Bal Optimize": This blocks tries to blindly detect the imbalance
 by minimizing the correlation between the left and right part of the
 spectrum. See the code for the "how it does it". The general idea is
 inspired from papers found on the internet and the way some SDR
 software achieve the same things (sdr# for eg, although there are
 significant differences in the actual implementation).

Package: libgnuradio-iqbalance0
Architecture: any
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gr-iqbal
Description: GNU Radio Blind IQ imbalance estimator and correction
 This package provides a shared library for gr-iqbal.

## gr-iqbal 0.37.2

=== apps/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

include(GrPython)

GR_PYTHON_INSTALL(
    PROGRAMS
    DESTINATION bin
)

=== lib/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Setup library
########################################################################
include(GrPlatform) #define LIB_SUFFIX

include_directories(${Boost_INCLUDE_DIR})
link_directories(${Boost_LIBRARY_DIRS})

list(APPEND iqbalance_sources
     fix_cc.cc
     optimize_c.cc
)

add_library(gnuradio-iqbalance SHARED ${iqbalance_sources} ${LIBOSMODSP_SOURCES})
target_link_libraries(gnuradio-iqbalance ${Boost_LIBRARIES} ${GNURADIO_RUNTIME_LIBRARIES} ${LIBOSMODSP_LIBRARIES})
set_target_properties(gnuradio-iqbalance PROPERTIES DEFINE_SYMBOL "gnuradio_iqbalance_EXPORTS")

########################################################################
# Install built library files
########################################################################
install(TARGETS gnuradio-iqbalance
    LIBRARY DESTINATION lib${LIB_SUFFIX} # .so/.dylib file
    ARCHIVE DESTINATION lib${LIB_SUFFIX} # .lib file
    RUNTIME DESTINATION bin              # .dll file
)

########################################################################
# Build and register unit test
########################################################################
find_package(Boost COMPONENTS unit_test_framework)

include(GrTest)
set(GR_TEST_TARGET_DEPS gnuradio-iqbalance)
#turn each test cpp file into an executable with an int main() function
add_definitions(-DBOOST_TEST_DYN_LINK -DBOOST_TEST_MAIN)

=== python/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Include python install macros
########################################################################
include(GrPython)
if(NOT PYTHONINTERP_FOUND)
    return()
endif()

########################################################################
# Install python sources
########################################################################
GR_PYTHON_INSTALL(
    FILES
    __init__.py
    DESTINATION ${GR_PYTHON_DIR}/gnuradio/iqbalance
)

########################################################################
# Handle the unit tests
########################################################################
include(GrTest)

set(GR_TEST_TARGET_DEPS gnuradio-iqbalance)
set(GR_TEST_PYTHON_DIRS ${CMAKE_BINARY_DIR}/swig)
GR_ADD_TEST(qa_fix_cc ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_iqbalance_fix_cc.py)

=== debian/changelog ===
gr-iqbal (0.37.2-7~bpo8+2) jessie-backports; urgency=medium

  * Re-Rebuild for jessie-backports
    (ensure build with gnuradio 3.7.10.1-1~bpo8+1 on non-amd64 arch)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 15 Apr 2017 23:05:49 -0400

gr-iqbal (0.37.2-7~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 04 Sep 2016 10:27:21 -0400

gr-iqbal (0.37.2-7) unstable; urgency=medium

  * Breaks/Replaces older library packages (Closes: #830755, #830786)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 11 Jul 2016 22:05:02 -0400

gr-iqbal (0.37.2-6) unstable; urgency=medium

  * update to v0.37.2-3-gdcd73fd
  * build with gnuradio 3.7.10

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 09 Jul 2016 16:24:31 -0400

gr-iqbal (0.37.2-5~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 25 Jan 2016 13:08:50 -0500

gr-iqbal (0.37.2-5) unstable; urgency=medium

  * build with gnuradio 3.7.9

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 09 Jan 2016 11:10:28 -0500

gr-iqbal (0.37.2-4) unstable; urgency=medium

  * de-duplicate copyright entries

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 28 Nov 2015 22:29:28 -0500

gr-iqbal (0.37.2-3) unstable; urgency=medium

  * Lintian packaging cleanups

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 27 Nov 2015 20:40:26 -0500

gr-iqbal (0.37.2-2) unstable; urgency=low

  * build with gnuradio 3.7.8

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 15 Aug 2015 22:18:22 -0400

gr-iqbal (0.37.2-1) unstable; urgency=low

  * New upstream tag, update to v0.37.2-2-g44ab02f
  * build with gnuradio 3.7.5

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 03 Sep 2014 00:51:53 -0400

gr-iqbal (0.37.1.5.d4fd4d-3) unstable; urgency=low

  * rebuild with gnuradio 3.7.4

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 27 Aug 2014 01:06:34 -0400

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,19 @@
 Section: libs
 Priority: extra
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
-Build-Depends: debhelper (>= 9), cmake, pkg-config, gnuradio-dev (>>3.7), libboost-dev,
+Build-Depends: debhelper (>= 9), cmake, pkg-config, gnuradio-dev (>>3.7.9.3), libboost-dev,
  libboost-system-dev, libboost-test-dev, libfftw3-dev, liblog4cpp5-dev, swig,
  python-dev, python-numpy, doxygen
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://cgit.osmocom.org/cgit/gr-iqbal/
-Vcs-Git: git://git.osmocom.org/gr-iqbal.git
+Vcs-Git: https://anonscm.debian.org/git/users/bottoms/pkg-gr-iqbal.git
+Vcs-Browser: https://anonscm.debian.org/cgit/users/bottoms/pkg-gr-iqbal.git/
 
 Package: gr-iqbal
 Section: libdevel
 Architecture: any
-Pre-Depends: multiarch-support, ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgnuradio-iqbalance0 (=${binary:Version})
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libgnuradio-iqbalance3.7.10 (=${binary:Version})
 Description: GNU Radio Blind IQ imbalance estimator and correction
  The general idea is to suppress symmetrical images caused by IQ
  imbalance in the RX path of quadrature receivers.
@@ -32,10 +33,16 @@
  software achieve the same things (sdr# for eg, although there are
  significant differences in the actual implementation).
 
-Package: libgnuradio-iqbalance0
+Package: libgnuradio-iqbalance3.7.10
 Architecture: any
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: gr-iqbal
-Description: GNU Radio Blind IQ imbalance estimator and correction
+Breaks: libgnuradio-iqbalance0
+Replaces: libgnuradio-iqbalance0
+Description: GNU Radio Blind IQ imbalance estimator and correction (runtime)
+ The general idea is to suppress symmetrical images caused by IQ
+ imbalance in the RX path of quadrature receivers.
+ It's composed of two subblocks:
+ .
  This package provides a shared library for gr-iqbal.

## gr-iqbal 0.38

=== CMakeLists.txt ===
--- 
+++ 
@@ -124,14 +124,14 @@
     ${Boost_INCLUDE_DIRS}
     ${FFTW3F_INCLUDE_DIRS}
     ${LIBOSMODSP_INCLUDE_DIRS}
-    ${GNURADIO_RUNTIME_INCLUDE_DIRS}
+    ${GNURADIO_ALL_INCLUDE_DIRS}
 )
 
 link_directories(
     ${Boost_LIBRARY_DIRS}
     ${FFTW3F_LIBRARY_DIRS}
     ${LIBOSMODSP_LIBRARY_DIRS}
-    ${GNURADIO_RUNTIME_LIBRARY_DIRS}
+    ${GNURADIO_ALL_LIBRARY_DIRS}
 )
 
 # Set component parameters

=== grc/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
install(FILES
    iqbalance_fix_cc.xml
    iqbalance_optimize_c.xml
    DESTINATION share/gnuradio/grc/blocks
)

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,7 @@
 )
 
 add_library(gnuradio-iqbalance SHARED ${iqbalance_sources} ${LIBOSMODSP_SOURCES})
-target_link_libraries(gnuradio-iqbalance ${Boost_LIBRARIES} ${GNURADIO_RUNTIME_LIBRARIES} ${LIBOSMODSP_LIBRARIES})
+target_link_libraries(gnuradio-iqbalance ${Boost_LIBRARIES} ${GNURADIO_ALL_LIBRARIES} ${LIBOSMODSP_LIBRARIES})
 set_target_properties(gnuradio-iqbalance PROPERTIES DEFINE_SYMBOL "gnuradio_iqbalance_EXPORTS")
 
 ########################################################################

=== swig/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Setup swig generation
########################################################################
find_package(SWIG)
find_package(PythonLibs 2)
if(NOT SWIG_FOUND OR NOT PYTHONLIBS_FOUND)
    return()
endif()
include(GrSwig)
include(GrPython)

foreach(incdir ${GNURADIO_RUNTIME_INCLUDE_DIRS})
    list(APPEND GR_SWIG_INCLUDE_DIRS ${incdir}/gnuradio/swig)
endforeach(incdir)

set(GR_SWIG_DOC_FILE ${CMAKE_CURRENT_BINARY_DIR}/iqbalance_swig_doc.i)
set(GR_SWIG_DOC_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/../include/gnuradio/iqbalance)
set(GR_SWIG_DOCS_TARGET_DEPS runtime_swig_swig_doc)

set(GR_SWIG_LIBRARIES gnuradio-iqbalance)

GR_SWIG_MAKE(iqbalance_swig iqbalance_swig.i)

GR_SWIG_INSTALL(TARGETS iqbalance_swig DESTINATION ${GR_PYTHON_DIR}/gnuradio/iqbalance)

install(
    FILES
    iqbalance_swig.i
    ${CMAKE_CURRENT_BINARY_DIR}/iqbalance_swig_doc.i
    DESTINATION ${GR_INCLUDE_DIR}/gnuradio/swig
)

=== debian/changelog ===
gr-iqbal (0.38-4) unstable; urgency=medium

  * depend upon dh-python since python3-dev no longer does (Closes: #948938)
    thanks peter!
  * also add depends on liborc-0.4-dev

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 14 Jan 2020 23:26:33 -0500

gr-iqbal (0.38-3) unstable; urgency=medium

  * Better description and fixed link (Closes: #927253)
  * upload to unstable

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 28 Aug 2019 18:56:08 -0400

gr-iqbal (0.38-2) experimental; urgency=medium

  * Fix yaml syntax
  * sumbit patches upstream

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 25 Aug 2019 20:10:11 -0400

gr-iqbal (0.38-1) experimental; urgency=medium

  * New for gnuradio 3.8

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 16 Aug 2019 21:26:28 -0400

gr-iqbal (0.37.2-11) unstable; urgency=medium

  * Fix conflicts/replaces lines - thanks anbe (Closes: #880906)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 14 Nov 2017 23:44:07 -0500

gr-iqbal (0.37.2-10) unstable; urgency=medium

  * Add conflicts/replaces lines (Closes: #875787)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 16 Sep 2017 03:53:56 -0400

gr-iqbal (0.37.2-9) unstable; urgency=medium

  * install .pc file correctly (Closes: #875787)

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 14 Sep 2017 17:43:35 -0400

gr-iqbal (0.37.2-8) unstable; urgency=medium

  * build with gnuradio 3.7.11

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 03 Sep 2017 23:41:06 -0400

=== debian/control ===
Source: gr-iqbal
Section: libs
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper (>= 12~),
               dh-python,
               doxygen,
               gnuradio-dev (>=3.8),
               graphviz,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-program-options-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libboost-test-dev,
               libboost-thread-dev,
               libfftw3-dev,
               libgmp-dev,
               liblog4cpp5-dev,
               liborc-0.4-dev,
               pkg-config,
               python3-dev,
               python3-numpy,
               swig
Standards-Version: 4.4.0
Homepage: https://git.osmocom.org/gr-iqbal
Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gr-iqbal
Vcs-Git: https://salsa.debian.org/bottoms/pkg-gr-iqbal.git

Package: gr-iqbal
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libgnuradio-iqbalance3.8.0 (=${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: GNU Radio Blind IQ imbalance estimator and correction
 The general idea is to suppress symmetrical images caused by IQ
 imbalance in the RX path of quadrature receivers.
 It's composed of two subblocks:
 .
 "IQ Bal Fix": This applies the actual correction. to a complex
 stream. The correction parameters are only magnitude/phase and the
 actual correction algo is the same as applied in hardware in the USRP.
 You can either specify the correction parameters manually on the
 block, or send them via 'messages'.
 .
 "IQ Bal Optimize": This blocks tries to blindly detect the imbalance
 by minimizing the correlation between the left and right part of the
 spectrum. See the code for the "how it does it". The general idea is
 inspired from papers found on the internet and the way some SDR
 software achieve the same things (sdr# for eg, although there are
 significant differences in the actual implementation).

Package: libgnuradio-iqbalance3.8.0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gr-iqbal
Breaks: libgnuradio-iqbalance0
Replaces: libgnuradio-iqbalance0
Description: GNU Radio Blind IQ imbalance estimator and correction (shared library)
 The general idea is to suppress symmetrical images caused by IQ
 imbalance in the RX path of quadrature receivers.
 It's composed of two subblocks: "IQ Bal Fix" and "IQ Bal Optimize".
 .
 This package provides a shared library for gr-iqbal.

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH
DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
VER=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
              | sed -rne 's,^Version: ([^-]+).*,\1,p')
GITREV=$(shell echo $(VER) | sed -rne 's,[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+\.(),\1,p')

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) -DCMAKE_BUILD_TYPE="Release"

override_dh_install:
	rm -rf debian/tmp/usr/lib/python3/dist-packages/gnuradio/iqbalance/*.pyc
	rm -rf debian/tmp/usr/lib/python3/dist-packages/gnuradio/iqbalance/*.pyo
	dh_install

get-orig-source:
	git clone git://git.osmocom.org/gr-iqbal
	cd gr-iqbal && git archive --format=tar --prefix=gr-iqbal-$(VER)/  $(GITREV) | xz > ../gr-iqbal_$(VER).orig.tar.xz
	rm -rf gr-iqbal
	git clone git://git.osmocom.org/libosmo-dsp
	cd libosmo-dsp && git archive --format=tar --prefix=libosmo-dsp-0.4.0/ 0.4.0 | xz > ../gr-iqbal_0.38.orig-libosmo-dsp.tar.xz
	rm -rf libosmo-dsp/.git
